/* Header
   ========================================================================== */

header {
    .soccors-header-wrapper {
        transition: background-color 0.2s ease-in;
    }
    .wp-block-site-title,
    .wp-block-site-title a {
        transition: color 0.2s ease-in;
    }
}

header:not(.soccors-header-scrolled) {
    & .wp-block-site-logo {
        filter: var(--wp--preset--duotone--accent);
    }
}

header.soccors-header-scrolled {
    div:has(>.soccors-header-wrapper) {
        border-bottom: none;
    }
    .soccors-header-wrapper {
        background-color: color-mix(in srgb, var(--wp--preset--color--secondary) 80%, transparent) !important;
        border-color: color-mix(in srgb, var(--wp--preset--color--white) 30%, transparent) !important;
        color: var(--wp--preset--color--white) !important;
        box-shadow: var(--wp--preset--shadow--normal) !important;
        backdrop-filter: blur(3px);

        .wp-block-site-title,
        .wp-block-site-title a {
            color: var(--wp--preset--color--white) !important;

            &:hover,
            &:focus-visible {
                color: var(--wp--preset--color--primary) !important;
            }
        }
    }
}

/* Footer
   ========================================================================== */

@media screen and (min-height: 700px) {
    main {
        z-index: 2;
        position: relative;
        background-color: var(--wp--preset--color--primary);
    }
}

@media screen and (min-height: 700px) {
    footer {
        position: sticky;
        bottom: 0;
    }
}

/* Hamburger
   ========================================================================== */

body .wp-block-navigation__responsive-container-open:not(.always-shown) {
    display: block !important;
}

body .wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open) {
    display: none !important;
}

@media (min-width: 800px) {
    body .wp-block-navigation__responsive-container-open:not(.always-shown) {
        display: none !important;
    }

    body .wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open) {
        display: block !important;
    }
}

/* Helper classes
   ========================================================================== */

.soccors-backdrop-container {
    background-color: color-mix(in srgb, color-mix(in srgb, var(--wp--preset--color--secondary) 95%, white) 70%, transparent) !important;
    backdrop-filter: blur(10px);
}

@media (max-width: 799px) {
    .soccors-hide-mobile {
        display: none !important;
    }
}

.wp-block-button:not(.is-style-unboxed) .wp-block-button__link {
    border: 1px solid rgba(255, 255, 255, 0.5);
    padding-inline: calc(var(--wp--preset--spacing--medium) - 1px);
    padding-block: calc(var(--wp--preset--spacing--x-small) - 1px);
}

.wp-block-button.is-style-unfill .wp-block-button__link,
.wp-block-button.is-style-outline .wp-block-button__link {
    padding-inline: calc(var(--wp--preset--spacing--medium) - 1px);
    padding-block: calc(var(--wp--preset--spacing--x-small) - 1px);
}